POST /Resource/StaticResourceFile/

Stores the contents of the specified static resource when sent as a file. This API call expects form files inside the request body.
 

Request

Method Request URI
POST /API/Resource/StaticResourceFile/?name=value&resourceFileType=value&sessionId=value

URI Parameters

URI Parameter Description
name The name of the static resource.
resourceFileType The file type of the static resource.
sessionId The ID of the session. Specifying via an Authorization request header instead is recommended.

Request Headers

Authorization: Bearer <Current session ID>

Request Body

This API call expects form files inside the request body. This API call only supports MIME multipart content - for more information see: https://www.w3.org/Protocols/rfc1341/7_2_Multipart.html

Response

Response Body

A Dundas.BI.WebApi.Models.StaticResourceInfoData with the result, or a status code indicating the problem.